import { convert, OKHSL, OKHSV, OKLab, sRGB } from '@texel/color';
export function oklab_to_okhsv(oklab) {
    const [h, s, v] = convert([oklab.l, oklab.a, oklab.b], OKLab, OKHSV);
    return { h: h ?? 0, s, v };
}
export function okhsv_to_rgb(okhsv) {
    const [r, g, b] = convert([okhsv.h, okhsv.s, okhsv.v], OKHSV, sRGB);
    return { r, g, b };
}
export function okhsv_to_oklab(okhsv) {
    const [l, a, b] = convert([okhsv.h, okhsv.s, okhsv.v], OKHSV, OKLab);
    return { l, a, b };
}
export function rgb_to_okhsv(rgb) {
    const [h, s, v] = convert([rgb.r, rgb.g, rgb.b], sRGB, OKHSV);
    return { h, s, v };
}
export function okhsl_to_rgb(okhsl) {
    const [r, g, b] = convert([okhsl.h, okhsl.s, okhsl.l], OKHSL, sRGB);
    return { r, g, b };
}
